------------------------------------------------------------------------------------
--Name:  	dhmj2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-05-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(50, 56)
CppScriptMgr:SetViewScale(320)
local Player_1 = CppScriptMgr:AddSimplePlayer(2586, 48, 60, "", 0, 0)
Player_1:SetDir(6)
Player_1:SetZoomPercent(150)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(53, 58)
Player_2:SetDir(2)
local Player_3 = CppScriptMgr:AddSimplePlayer(26610, 52, 62, "", 0, 0)
Player_3:SetZoomPercent(150)
local Player_4 = CppScriptMgr:AddSimplePlayer(26610, 56, 54, "", 0, 0)
Player_4:SetZoomPercent(150)
local Player_5 = CppScriptMgr:AddSimplePlayer(26610, 60, 64, "", 0, 0)
Player_5:SetZoomPercent(150)
local npc_0 = CppScriptMgr:AddSimplePlayer(26610, 59, 61, "", 0, 0)
npc_0:SetZoomPercent(150)
local npc_1 = CppScriptMgr:AddSimplePlayer(2586, 50, 51, "", 0, 0)
CppScriptMgr:WaitMilSec(890)
Player_2:SetAction(200)
Player_2:Say("Good luck and rewards are all in the chest!", 2000)
CppScriptMgr:WaitMilSec(2090)
CppScriptMgr:ShakeScrEffect(1)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_jin", 51, 51, 33, 1, 1, 1)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_jin", 48, 60, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1470)
Player_1:SetHide(1)
npc_1:SetHide(1)
local Player_6 = CppScriptMgr:AddSimplePlayer(35690, 51, 51, "", 0, 0)
Player_6:SetZoomPercent(50)
local Player_7 = CppScriptMgr:AddSimplePlayer(35690, 48, 60, "", 0, 0)
CppScriptMgr:WaitMilSec(2500)